Up

# NSProgressIndicator

### Authors

Gerrit van Dyk (`gerritvd@decimax.com`)

Copyright: (C) 1999 Free Software Foundation, Inc.

### Contents -

1. Software documentation for the NSProgressIndicator class
2. Software documentation for the NSProgressIndicator(GNUstepExtensions) category

# Software documentation for the NSProgressIndicator class

## NSProgressIndicator : NSView

> Declared in:
>   AppKit/NSProgressIndicator.h

Availability: OpenStep
Description forthcoming.

Instance Variables
Method summary

- -isVertical
- -setVertical:
- -animate:
- -animationDelay
- -controlSize
- -controlTint
- -doubleValue
- -incrementBy:
- -isBezeled
- -isIndeterminate
- -maxValue
- -minValue
- -setAnimationDelay:
- -setBezeled:
- -setControlSize:
- -setControlTint:
- -setDoubleValue:
- -setIndeterminate:
- -setMaxValue:
- -setMinValue:
- -setUsesThreadedAnimation:
- -startAnimation:
- -stopAnimation:
- -usesThreadedAnimation

### animate:

- (void) animate: (id)sender;
Availability: OpenStep
Description forthcoming.

### animationDelay

- (NSTimeInterval) animationDelay;
Availability: OpenStep
Description forthcoming.

### controlSize

- (NSControlSize) controlSize;
Availability: OpenStep
Description forthcoming.

### controlTint

- (NSControlTint) controlTint;
Availability: OpenStep
Description forthcoming.

### doubleValue

- (double) doubleValue;
Availability: OpenStep
Description forthcoming.

### incrementBy:

- (void) incrementBy: (double)delta;
Availability: OpenStep
Description forthcoming.

### isBezeled

- (BOOL) isBezeled;
Availability: OpenStep
Description forthcoming.

### isIndeterminate

- (BOOL) isIndeterminate;
Availability: OpenStep
Description forthcoming.

### maxValue

- (double) maxValue;
Availability: OpenStep
Description forthcoming.

### minValue

- (double) minValue;
Availability: OpenStep
Description forthcoming.

### setAnimationDelay:

- (void) setAnimationDelay: (NSTimeInterval)delay;
Availability: OpenStep
Description forthcoming.

### setBezeled:

- (void) setBezeled: (BOOL)flag;
Availability: OpenStep
Description forthcoming.

### setControlSize:

- (void) setControlSize: (NSControlSize)size;
Availability: OpenStep
Description forthcoming.

### setControlTint:

- (void) setControlTint: (NSControlTint)tint;
Availability: OpenStep
Description forthcoming.

### setDoubleValue:

- (void) setDoubleValue: (double)aValue;
Availability: OpenStep
Description forthcoming.

### setIndeterminate:

- (void) setIndeterminate: (BOOL)flag;
Availability: OpenStep
Description forthcoming.

### setMaxValue:

- (void) setMaxValue: (double)newMaximum;
Availability: OpenStep
Description forthcoming.

### setMinValue:

- (void) setMinValue: (double)newMinimum;
Availability: OpenStep
Description forthcoming.

### setUsesThreadedAnimation:

- (void) setUsesThreadedAnimation: (BOOL)flag;
Availability: OpenStep
Description forthcoming.

### startAnimation:

- (void) startAnimation: (id)sender;
Availability: OpenStep
Description forthcoming.

### stopAnimation:

- (void) stopAnimation: (id)sender;
Availability: OpenStep
Description forthcoming.

### usesThreadedAnimation

- (BOOL) usesThreadedAnimation;
Availability: OpenStep
Description forthcoming.

## Instance Variables for NSProgressIndicator Class

### _animationDelay

@protected NSTimeInterval _animationDelay;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _doubleValue

@protected double _doubleValue;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _isBezeled

@protected BOOL _isBezeled;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _isIndeterminate

@protected BOOL _isIndeterminate;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _isVertical

@protected BOOL _isVertical;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _maxValue

@protected double _maxValue;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _minValue

@protected double _minValue;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _usesThreadedAnimation

@protected BOOL _usesThreadedAnimation;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

# Software documentation for the NSProgressIndicator(GNUstepExtensions) category

## NSProgressIndicator(GNUstepExtensions)

> Declared in:
>   AppKit/NSProgressIndicator.h

Availability: Gui
Description forthcoming.
Method summary

- -isVertical
- -setVertical:

### isVertical

- (BOOL) isVertical;
Availability: Gui
Description forthcoming.

### setVertical:

- (void) setVertical: (BOOL)flag;
Availability: Gui
Description forthcoming.

Up